Bug 971258 (CVE-2013-2148)

Summary: CVE-2013-2148 Kernel: fanotify: info leak in copy_event_to_user
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jross, jrusnack, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mcressma, nobody, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130603,reported=20130603,source=lkml,cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected,cwe=CWE-200
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-21 05:38:20 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 971259, 971260, 971261    
Bug Blocks: 970313    

Description Prasad J Pandit 2013-06-06 02:56:17 EDT
Linux kernel built with the Filesystem wide access notification
(CONFIG_FANOTIFY) support is vulnerable to an information leakage
flaw. The leaked bytes could be accessed via read(2) call on the
fanotify descriptor.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://lkml.org/lkml/2013/6/3/128
Comment 1 Prasad J Pandit 2013-06-06 02:59:13 EDT
Statement:

This issue does not affect the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

This issue affects the version of the kernel package as shipped with
Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise MRG 2
may address this issue.
Comment 3 Prasad J Pandit 2013-06-06 03:02:53 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 971261]
Comment 4 Fedora Update System 2013-06-13 02:04:13 EDT
kernel-3.9.5-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-06-14 00:51:15 EDT
kernel-3.9.5-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-06-30 21:33:14 EDT
kernel-3.9.8-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2013-09-16 13:07:10 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html